%define shortname	torrent-rasterbar
%define major		8
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

%define binding		1
%define url_ver	        %(echo %{version}|sed 's/[.]/_/g')

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	1.0.9
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	https://github.com/arvidn/libtorrent/releases/download/libtorrent-%{url_ver}/%{name}-%{version}.tar.xz
Source1:	bytes.hpp
Patch0:		libtorrent-rasterbar-0.16.2-link.patch
#-----------------------------------------------------
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}geoip-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}python-devel
#-----------------------------------------------------
%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
BuildRequires:	python
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/Libraries
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%apply_patches

cp %{S:1} bindings/python/src/bytes.hpp

%build
%configure2_5x \
	--disable-static \
%if %binding
	--enable-python-binding \
%else
	--disable-python-binding \
%endif
	--with-zlib=system \
	--with-libgeoip=system \
	--with-boost-libdir=%{_libdir} \
	--enable-encryption \
	--enable-dht
%make

%install
rm -rf %buildroot
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%if %binding
%files -n python-%{name}
%{python_sitearch}/*.so
%{python_sitearch}/*.egg-info
%endif


%changelog
* Sat Mar 19 2016 bb <bb> 1.0.9-2pclos2016
- rebuild for new boost

* Thu Mar 17 2016 bb <bb> 1.0.9-1pclos2016
- update

* Fri Mar 04 2016 bb <bb> 1.0.8-2pclos2016
- rebuild

* Wed Jan 27 2016 bb <bb> 1.0.8-1pclos2016
- update
